## hb-ot-fetch hb-ot-fetch — OpenType bit fields and numbers |

## Functions

uint32_t | hb_ot_fetch_bits ()
int32_t | hb_ot_fetch_number ()

## Types and Values

enum | hb_ot_bits_tag_t
enum | hb_ot_number_tag_t

## Includes

    #include <hb-ot.h>

## Description

Functions for fetching various bit fields and numbers scattered around OpenType tables.

These are raw table values, and many of them are legacy or unreliable, but applications might need them for various legacy reasons.

## Functions

### hb_ot_fetch_bits ()

    uint32_t
    hb_ot_fetch_bits (hb_face_t *face,
                      hb_ot_bits_tag_t tag);

Fetches a bit field of `face` .

#### Parameters

face | hb_face_t to work upon |
tag | tag of the bit field to fetch |

#### Returns

the bit field, or zero if the font does not have it.

Since: 14.3.0

### hb_ot_fetch_number ()

    int32_t
    hb_ot_fetch_number (hb_face_t *face,
                        hb_ot_number_tag_t tag);

Fetches a number of `face` in font units.

#### Parameters

face | hb_face_t to work upon |
tag | tag of the number to fetch |

#### Returns

the number, or zero if the font does not have it.

Since: 14.3.0

## Types and Values

### enum hb_ot_bits_tag_t

Bit fields that can be fetched with `hb_ot_fetch_bits()`.

#### Members

HB_OT_BITS_TAG_FS_TYPE | `fsType` of the `OS/2` table. |
HB_OT_BITS_TAG_FS_SELECTION | `fsSelection` of the `OS/2` table. |
HB_OT_BITS_TAG_MAC_STYLE | `macStyle` of the `head` table. |
HB_OT_BITS_TAG_IS_FIXED_PITCH | `isFixedPitch` of the `post` table. |
HB_OT_BITS_TAG_UNICODE_RANGE_1 | `ulUnicodeRange1` of the `OS/2` table. |
HB_OT_BITS_TAG_UNICODE_RANGE_2 | `ulUnicodeRange2` of the `OS/2` table. |
HB_OT_BITS_TAG_UNICODE_RANGE_3 | `ulUnicodeRange3` of the `OS/2` table. |
HB_OT_BITS_TAG_UNICODE_RANGE_4 | `ulUnicodeRange4` of the `OS/2` table. |
HB_OT_BITS_TAG_CODE_PAGE_RANGE_1 | `ulCodePageRange1` of the `OS/2` table. |
HB_OT_BITS_TAG_CODE_PAGE_RANGE_2 | `ulCodePageRange2` of the `OS/2` table. |

Since: 14.3.0

### enum hb_ot_number_tag_t

Numbers that can be fetched with `hb_ot_fetch_number()`.

#### Members

HB_OT_NUMBER_TAG_FONT_X_MIN | `xMin` of the `head` table. |
HB_OT_NUMBER_TAG_FONT_Y_MIN | `yMin` of the `head` table. |
HB_OT_NUMBER_TAG_FONT_X_MAX | `xMax` of the `head` table. |
HB_OT_NUMBER_TAG_FONT_Y_MAX | `yMax` of the `head` table. |

Since: 14.3.0